*{
    font-family: monospace;
}



body{
    box-sizing: border-box;
    max-height: 100vh;
    margin: 0;
    background-color: black;
    overflow: hidden;
    font-family: monospace;
    background-image: url(images/rock.jpg);
    background-size: 100vw;
    background-repeat: round;
}

main{
    height: 90vh;
    box-sizing: border-box;
    margin: 0;
    padding: 10px;
}

header{
    height: 5vh;
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: hsl(0, 1%, 27%);
    box-shadow: 0 0 5px 3px black;
}

header > h1{
    text-align: center;
    margin: 0;
    width: 100%;
    color: hsl(43, 74%, 49%);
}

#canvas{
    border: 3px solid hsl(43, 74%, 49%);
    background: radial-gradient(circle at 50% 50%, rgba(0, 0, 0, 0.74) 0%, rgba(0, 0, 0, 0.89) 0%, rgba(63, 66, 66, 0.94) 35%, rgba(133, 133, 133, 0.32) 100%);
    min-width: 40vw;
    border-radius: 10px;
    box-shadow: 0 0 50px goldenrod;
    display: flex;
    justify-content: center;
    align-items: center;
}

#canvas:hover{
    cursor: pointer;
}

#canvas:active{
    background: radial-gradient(circle at 50% 50%, rgba(0, 0, 0, 0.74) 0%, rgba(0, 0, 0, 0.89) 1%, rgba(63, 66, 66, 0.94) 39%, rgba(133, 133, 133, 0.32) 100%);
}

.p{
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    height: calc(80vh - 20px);
}

#statsContainer{
    box-sizing: border-box;
    padding-bottom: 10px;
    height: 10vh;
}

.stats{
    height: 100%;
    box-sizing: border-box;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    text-align: center;
    background-color: hsla(0, 1%, 27%, 80%);
    border: 3px solid hsl(43, 74%, 49%);
    border-radius: 10px;
    box-shadow: 0 0 10px goldenrod;
    margin: 0;
}

.stats > div{
    border: 3px solid hsl(43, 74%, 49%);
    border-radius: 10px;
    width: calc(100vw / 6);
    height: 80%;
    text-align: center;
    color: white;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    text-align: center;
}

#dropdownContainer{
    border: none;
    display: flex;
    align-items: start;
    transform: translateY(-3px);
}

#dropdown{
    border: 3px solid hsl(43, 74%, 49%);
    border-radius: 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    overflow: hidden;
    cursor: pointer;
    height: 100%;
    margin: 0;
    transition: height 1.2s ease-in;
    background-color: hsl(0, 1%, 27%);
    position: relative;
}

#dropdown > div{
    width: calc(46% / 2);
    height: 100%;
    transition: height 1.2s linear;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    font-size: 3em;
    color: hsl(43, 74%, 49%);
    display: flex;
    align-items: center;
    justify-content: center;
}

#dropdown:hover{
    height: 340%;
}

#dropdown:hover > div{
    height: 33%;
}

.worker{
    position: relative;
    border: 3px solid hsl(43, 74%, 49%);
    overflow-y: scroll;
    border-radius: 10px;
    overflow-y: scroll;
    overflow-x: hidden;
    box-shadow: 0 0 50px goldenrod;
    width: 40vw;
}

.worker p{
    position: relative;
    height: auto;
    background-color: hsla(0, 1%, 27%, 80%);
    margin: 10px;
    border-radius: 10px;
    color: white;
    font-size: 1.9em;
    text-align: center;  
    box-shadow: 5px 5px 5px black; 
}

.worker p:hover{
    background-color: hsla(0, 1%, 37%, 80%);
    cursor: pointer;
}

.worker p:active{
    background-color: hsla(0, 1%, 37%, 75%);
    cursor: grabbing;
}

#rbd{
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

#rbd:hover{
    background-color: hsl(0, 1%, 27%);
}

#rbd:active{
    background-color: hsl(0, 1%, 37%);
}

footer{
    position: relative;
    box-shadow: 0 0 5px 3px black;
    height: 5vh;
    min-width: 100%;
    background-color: hsl(0, 1%, 27%);
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
footer button{
    border-radius: 10px;
    border: 3px solid hsl(43, 74%, 49%);
    min-width: 20vw;
    cursor: pointer;
    height: 80%;
    text-decoration: none;
    font-size: 2em;
    color: white;
    background-color: hsl(0, 1%, 27%);
}

footer button:hover{
    background-color: hsl(0, 1%, 37%);
}

footer audio{
    position: absolute;
    right: 5px;
    max-width: 5%;
    border: 3px solid hsl(43, 74%, 49%);
    border-radius: 10px;
    cursor: pointer;
}

#crystals{
    position: absolute;
    border-radius: 10px;
    border: 3px solid hsl(43, 74%, 49%);
    width: 5%;
    cursor: pointer;
    height: 80%;
    text-decoration: none;
    font-size: 2em;
    color: white;
    background-color: hsl(0, 1%, 27%);
    left: 5px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    background-image: url(images/crystal.png);
    background-position: center;
    background-size: 2em;
    background-repeat: no-repeat;
    text-align: center;
}


#rebirthBackground{
    position: absolute;
    width: 100%;
    height: 100%;
    background-image: url(images/crystal.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 20em;
    animation: rotate 15s linear infinite 0s forwards;
}

#rebirthAnimation{
    position: relative;
    width: 100vw;
    height: 100vh;
    display: none;
    text-align: center;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    border: 3px solid;
    font-size: 4em;
    background-color: hsla(0, 1%, 37%, 80%);
    transform: translateX(-10px) translateY(calc(-95vh + 10px));
    color: white;
}

#rebirthAnimation > h2{
    position: relative;
}

#rebirthBtn{
    position: relative;
    box-sizing: border-box;
    cursor: pointer;
    border: none;
    background-color: hsl(180, 100%, 50%);
    font-size: 1.2em;
    transition: font-size 0.5s ease-out;
    border-radius: 50px;
    padding: 10px;
    box-shadow: 0px 0px 30px 10px white;
}

#rebirthBtn:hover{
    font-size: 1.3em;
    background-color: hsl(180, 100%, 80%);
}



@keyframes rotate {
    from{
        transform: scale(.6);
    }
    50%{
        transform: scale(1);
    }
    to{
        transform: scale(0.6);
    }
}

@media (max-width: 600px){
    .p{
        display: flex;
        justify-content: space-between;
        flex-direction: column;
    }

    .worker{
        width: 100%;
    }   

    .worker p{
        width: auto;
    }

    .worker div{
        display: flex;
    }

    #canvas{
        max-width: none;
        height: 40vh;
    }

}